ALTER TABLE DATASET_PROPERTY ADD CONSTRAINT FK_DATASET_PROPERTY_DATASET 
	FOREIGN KEY (DATASET_ID) REFERENCES DATASET(DS_ID)
   ON DELETE CASCADE
;

ALTER TABLE DATASET_PROPERTY ADD CONSTRAINT FK_DATASET_PROPERTY_PROPERTY_TYPE 
	FOREIGN KEY (PROPERTY_TYPE_ENUM) REFERENCES DATASET_PROPERTY_TYPE(PROPERTY_ID)
   ON DELETE CASCADE
;
